Search found 2734 matches

Go to advanced search

by looo
Sat Sep 14, 2019 10:13 pm
Forum: Help on using FreeCAD
Topic: [Bug ?] FC hard crashes when angle snap feature of Sketcher Polyline is used
Replies: 1
Views: 35

Re: [Bug ?] FC hard crashes when angle snap feature of Sketcher Polyline is used

Thanks, now I learned something new. This is a very nice feature! I can confirm the crash with: OS: Ubuntu 18.04.3 LTS (ubuntu:GNOME/ubuntu) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.18213 (Git) Build type: Release Branch: master Hash: 22babc09954ac6fda9135ee71d68550921659b1...
by looo
Sat Sep 14, 2019 2:19 pm
Forum: Install / Compile
Topic: Coin4/SoQt/Pivy build problem
Replies: 2
Views: 64

Re: Coin4/SoQt/Pivy build problem

regarding the first error we added a fix since quite a while:

https://github.com/FreeCAD/pivy/commit/ ... c398f8b1cf

If it is somehow possible please switch our github repo. Best to use the 0.6.5a2 release. If you encounter any additional problems please report.
by looo
Fri Sep 13, 2019 9:26 pm
Forum: Forum in Deutsch
Topic: Kompatibilitätsproblem
Replies: 3
Views: 87

Re: Kompatibilitätsproblem

UR_ wrote:
Fri Sep 13, 2019 8:30 pm
Einfach ein neues Image herunterladen.
Ab 0.19.18210 gehts wieder.
Fast wäre es sich noch heute ausgegangen. Das Osx paket sollte schon auf 0.19.18213 sein. Morgen Abend ist dann hoffentlich auch linux auf 18213.
by looo
Wed Sep 11, 2019 7:08 pm
Forum: Python scripting and macros
Topic: Spreadsheet: error setting cell value via python
Replies: 7
Views: 125

Re: Spreadsheet: error setting cell value via python

import FreeCAD as App doc = App.newDocument() spr = doc.addObject('Spreadsheet::Sheet','spr') spr.set("A1", "2.0") doc.recompute() spr.A1 = 2.1 Traceback (most recent call last): File "<input>", line 1, in <module> TypeError: type must be int, not float In my eyes FreeCAD shouldn't assume 2.0 is an...
by looo
Wed Sep 11, 2019 6:47 pm
Forum: Python scripting and macros
Topic: Spreadsheet: error setting cell value via python
Replies: 7
Views: 125

Re: Spreadsheet: error setting cell value via python

App.ActiveDocument.Spreadsheet.set('x', x.astype(str)) ok, this should work. I guess in this case x is a numpy.float64. I found also a workaround by directly using floats (1.23445) when first filling the cells. This was working better some time ago... Not sure when it changed. It works for me with ...
by looo
Wed Sep 11, 2019 5:49 pm
Forum: Python scripting and macros
Topic: Spreadsheet: error setting cell value via python
Replies: 7
Views: 125

Re: Spreadsheet: error setting cell value via python

To reproduce:

- new file
- new spreadsheet
- write an integer into the upper left cell (actually it's displayed as float)
- create alias for the cell (x)
- try to set value via python:
App.ActiveDocumnt.Spreadsheet.x = 1.1
by looo
Wed Sep 11, 2019 9:31 am
Forum: Python scripting and macros
Topic: Spreadsheet: error setting cell value via python
Replies: 7
Views: 125

Spreadsheet: error setting cell value via python

Trying to set the value of a Spreadsheet variable I see this error: doc.Spreadsheet.x = x TypeError: {'sclassname': 'N4Base9TypeErrorE', 'sErrMsg': 'type must be int, not numpy.float64', 'sfile': '', 'iline': 0, 'sfunction': '', 'swhat': 'type must be int, not numpy.float64', 'btranslatable': False,...
by looo
Tue Sep 10, 2019 9:39 am
Forum: Open discussion
Topic: News: Qt 5.13.1 Has ~500 Bug Fixes While Qt Creator 4.10 Released
Replies: 13
Views: 321

Re: News: Qt 5.13.1 Has ~500 Bug Fixes While Qt Creator 4.10 Released

In other words, conda won't host Qt 5.13.x because it's not a 'Long Term Support' release issues by Qt. Qt will backup 'relevant' fixes to Qt5.12 but we don't know if and when they will make it in to conda. Qt is one of the most difficult packages. Look at the amount of patches added to make it wor...
by looo
Tue Sep 10, 2019 5:04 am
Forum: Open discussion
Topic: News: Qt 5.13.1 Has ~500 Bug Fixes While Qt Creator 4.10 Released
Replies: 13
Views: 321

Re: News: Qt 5.13.1 Has ~500 Bug Fixes While Qt Creator 4.10 Released

Btw.: Conda-forge and anaconda only provide LTS releases of qt. So, sry there won't be a qt5.13 but maybe the Bugfixes will be available in qt5.12.5. not sure if this version is coming to conda-forge. Currently there is a battle with qt5.12.4:
https://github.com/conda-forge/qt-feedstock/pull/120

Go to advanced search